[boot]
make /config/omninx/manifest.ini
set-ini-val ./config.ini 'OmniNX' footer ''
set-ini-val ./config.ini 'Switch Firmware' footer ''
set-ini-val ./config.ini 'OmniNX Downloader' footer ''
set-ini-val ./config.ini '*Firmware Archiv' footer '18.0.0+'

try:
download https://git.niklascfw.de/OmniNX/OmniNX-Downloader/raw/branch/main/include/updater/RELEASE.ini ./RELEASE.ini
ini_file ./RELEASE.ini

set-ini-val ./config.ini 'OmniNX' footer '{ini_file(Release Info,omninx_pack)}'
ini_file /config/omninx/manifest.ini
json '{"null":"true","{ini_file(OmniNX,version)}":"false"}'
ini_file ./RELEASE.ini
set-ini-val ./config.ini 'OmniNX' footer_highlight '{json({ini_file(Release Info,omninx_pack)})}'

set-ini-val ./config.ini 'Switch Firmware' footer '{ini_file(Release Info,firmware_version)}'
json '{"null":"true","{hos_version}":"false"}'
set-ini-val ./config.ini 'Switch Firmware' footer_highlight '{json({ini_file(Release Info,firmware_version)})}'

set-ini-val ./config.ini 'OmniNX Downloader' footer '{ini_file(Release Info,omninx_downloader)}'
ini_file ./CURRENT.ini
json '{"null":"true","{ini_file(Current,omninx_downloader)}":"false"}'
ini_file ./RELEASE.ini
set-ini-val ./config.ini 'OmniNX Downloader' footer_highlight '{json({ini_file(Release Info,omninx_downloader)})}'

ini_file /config/omninx/manifest.ini
json '{"null":"notify","{ini_file(OmniNX,version)}":""}'
ini_file ./RELEASE.ini
'{json({ini_file(Release Info,omninx_pack)})}' '{WARNING_SYMBOL} Pack update verfügbar!' 24

ini_file ./RELEASE.ini
json '{"null":"notify","{hos_version}":""}'
'{json({ini_file(Release Info,firmware_version)})}' '{WARNING_SYMBOL} Firmware update verfügbar!' 24
